Bug 211108 - security/strongswan: Fix rc startup script for support _nice _fib etc
Summary: security/strongswan: Fix rc startup script for support _nice _fib etc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2016-07-14 09:39 UTC by Dmitry Wagin
Modified: 2018-10-02 11:00 UTC (History)
4 users (show)

See Also:
strongswan: maintainer-feedback+
koobs: merge-quarterly?


Attachments
strongswan.in.diff (986 bytes, patch)
2016-07-14 09:39 UTC, Dmitry Wagin
dmitry.wagin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2016-07-14 09:39:20 UTC
Created attachment 172502 [details]
strongswan.in.diff

Currently startup script not using settings from rc.conf _nice _fib etc.
Patch solves this problem.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-14 12:11:09 UTC
Can you please provide confirmation (as an attachment) that the modified script functions correctly
Comment 2 Dmitry Wagin 2016-07-15 04:20:21 UTC
(In reply to Kubilay Kocak from comment #1)

Yes of course, i use it, all is good.
Comment 3 strongswan 2016-07-15 13:34:26 UTC
Checked the patch, don't see anything wrong.
It can be applied to the file.
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-01-13 06:52:29 UTC
ping!
Comment 5 commit-hook freebsd_committer 2018-10-02 10:59:34 UTC
A commit references this bug:

Author: garga
Date: Tue Oct  2 10:58:38 UTC 2018
New revision: 481110
URL: https://svnweb.freebsd.org/changeset/ports/481110

Log:
  security/strongswan: Fix rc startup script to support rc.conf settings like
  _nice, _fib

  Do not bump version since I'll commit the upgrade to 5.7.1 just after it

  PR:		211108
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>
  Approved by:	maintainer
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/security/strongswan/files/strongswan.in